<template>
    <div>
        <fish-tabs value="settings">
            <fish-tab-pane label="Настройки" index="settings">
                <Settings />
            </fish-tab-pane>
            <fish-tab-pane label="Матчи" index="matches">
                <Matches />
                <fish-button :disabled=!nowWorking @click="sendStop();toggleNowRunning()" type="negative">Стоп</fish-button>
                <fish-button :disabled=!!nowWorking @click="sendStart();toggleNowRunning()" type="positive">Старт</fish-button>
            </fish-tab-pane>
            <fish-tab-pane label="Расписание">
                <Botoptions />
            </fish-tab-pane>
        </fish-tabs>
        <!-- <fish-tag index="3" color="primary">close</fish-tag> -->
    </div>
</template>
<script>
import Settings from './Settings.vue';
import Matches from './Matches.vue';
import Botoptions from './Botoptions.vue';
import mapMutations from 'vuex';

export default {
    name: 'App',
    data() {
        return {
            simpleValue: 55
        }
    },
    computed: {
        nowWorking() {
            return this.$store.getters.nowWorking
        }
    },
    methods: {
        updateOptions() {
            // chrome.tabs.query({ active: true, currentWindow: true }, function(tabs) {
            chrome.tabs.query({}, function(tabs) {
                chrome.storage.local.set({ options: this.$store.getters.getOptions })

                let tb = tabs.filter(t => t.url.indexOf('/live/') != -1)
                if (tb.length) {
                    chrome.tabs.sendMessage(tb[0].id, { type: 'updateOptions', options: this.$store.getters.getOptions }, function(response) {});
                }
            }.bind(this));
        },
        toggleNowRunning() {
            this.$store.commit('toggleNowRunning');
        },
        sendStop() {
            chrome.tabs.query({}, function(tabs) {
                let tb = tabs.filter(t => t.url.indexOf("/live/") != -1)
                if (tb.length) {
                    chrome.tabs.sendMessage(tb[0].id, { type: 'stopScan' }, function(response) {});
                }
            });
        },
        sendStart() {
            chrome.tabs.query({}, function(tabs) {
                let tb = tabs.filter(t => t.url.indexOf("/live/") != -1)
                if (tb.length) {
                    chrome.tabs.sendMessage(tb[0].id, { type: 'startScan' }, function(response) {});
                }
            });
        },
    },
    components: {
        Matches,
        Settings,
        Botoptions
    },
}
</script>
<style scoped>
.fish.card {
    margin-bottom: 10px;
}

.fish.card>.header {
    padding: 0.35em 0.75em !important;
}

html {
    /*width: 500px !important;*/
}

body {
    /*width: 600px !important;*/
    padding: 7px !important;
    height: auto !important;
}
</style>